Bug 811056 - Can't view or modify network connections in nm-connection-manager as a normal user
Can't view or modify network connections in nm-connection-manager as a normal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 21:18 EDT by Anthony Altemara
Modified: 2013-07-31 19:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:34:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Altemara 2012-04-09 21:18:49 EDT
Description of problem:
When logged in as a normal user, I cannot add / view / modify network connections with the nm-connections-manager. I must run the utility as 'root' in order to view / modify any connections.

Version-Release number of selected component (if applicable):

1:NetworkManager-gnome-0.9.4.0-1.git20120328.fc17.x86_64 : GNOME applications
     ...: for use with NetworkManager

How reproducible:
100%

Steps to Reproduce:
1.Log in as a normal user.
2.Run nm-connection-manager
  
Actual results:
Can't add / view wireless network connections.

Expected results:
I expect to be able to add wireless connections

Additional info:
Comment 1 Jirka Klimes 2012-04-10 16:07:20 EDT
What desktop environment do you use? Did you play with policykit actions?

Please,  grab output of these commands:
$ dbus-send --system --print-reply --dest=org.freedesktop.NetworkManager /org/freedesktop/NetworkManager org.freedesktop.NetworkManager.GetPermissions
$ ck-list-sessions
$ pkaction --action-id org.freedesktop.NetworkManager.settings.modify.system --verbose
$ pkaction --action-id org.freedesktop.NetworkManager.settings.modify.own --verbose
Comment 2 Anthony Altemara 2012-04-10 19:29:53 EDT
(In reply to comment #1)
> What desktop environment do you use? Did you play with policykit actions?

I use gnome. Nope, I've not messed with any policykit.. Would it make a difference that I did an in-place upgrade from F16 to F17?

> 
> Please,  grab output of these commands:
> $ dbus-send --system --print-reply --dest=org.freedesktop.NetworkManager
> /org/freedesktop/NetworkManager org.freedesktop.NetworkManager.GetPermissions


[root@e6510 anthony]# dbus-send --system --print-reply --dest=org.freedesktop.NetworkManager /ort/freedesktop/NetworkManager org.freedesktop.NetworkManager.GetPermissions
Error org.freedesktop.DBus.Error.UnknownMethod: Method "GetPermissions" with signature "" on interface "org.freedesktop.NetworkManager" doesn't exist

[root@e6510 anthony]# 
[root@e6510 anthony]# dbus-send --system --print-reply --dest=org.freedesktop.NetworkManager /org/freedesktop/NetworkManager org.freedesktop.NetworkManager.GetPermissions
method return sender=:1.1 -> dest=:1.71 reply_serial=2
   array [
      dict entry(
         string "org.freedesktop.NetworkManager.network-control"
         string "yes"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.enable-disable-wwan"
         string "yes"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.settings.modify.own"
         string "yes"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.wifi.share.protected"
         string "yes"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.wifi.share.open"
         string "yes"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.enable-disable-network"
         string "yes"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.enable-disable-wimax"
         string "yes"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.sleep-wake"
         string "yes"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.enable-disable-wifi"
         string "yes"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.settings.modify.system"
         string "yes"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.settings.modify.hostname"
         string "yes"
      )
   ]


> $ ck-list-sessions

[root@e6510 anthony]# ck-list-sessions 
Session1:
	unix-user = '1000'
	realname = 'anthony'
	seat = 'Seat2'
	session-type = ''
	active = FALSE
	x11-display = ':0'
	x11-display-device = ''
	display-device = ''
	remote-host-name = ''
	is-local = TRUE
	on-since = '2012-04-10T23:18:53.539205Z'
	login-session-id = '2'




> $ pkaction --action-id org.freedesktop.NetworkManager.settings.modify.system
> --verbose
[root@e6510 anthony]# pkaction --action-id org.freedesktop.NetworkManager.settings.modify.system --verbose
org.freedesktop.NetworkManager.settings.modify.system:
  description:       Modify network connections for all users
  message:           System policy prevents modification of network settings for all users
  vendor:            NetworkManager
  vendor_url:        http://www.gnome.org/projects/NetworkManager
  icon:              nm-icon
  implicit any:      no
  implicit inactive: no
  implicit active:   yes




> $ pkaction --action-id org.freedesktop.NetworkManager.settings.modify.own
> --verbose
[root@e6510 anthony]# pkaction --action-id org.freedesktop.NetworkManager.settings.modify.own --verbose
org.freedesktop.NetworkManager.settings.modify.own:
  description:       Modify personal network connections
  message:           System policy prevents modification of personal network settings
  vendor:            NetworkManager
  vendor_url:        http://www.gnome.org/projects/NetworkManager
  icon:              nm-icon
  implicit any:      no
  implicit inactive: no
  implicit active:   yes
Comment 3 Jirka Klimes 2012-04-11 02:34:10 EDT
I didn't emphasize that we need the commands run as a normal user. But never mind, I think that update should resolve the issue.

(In reply to comment #2)
> (In reply to comment #1)
> 
> > $ ck-list-sessions
> 
> [root@e6510 anthony]# ck-list-sessions 
> Session1:
>  unix-user = '1000'
>  realname = 'anthony'
>  seat = 'Seat2'
>  session-type = ''
>  active = FALSE
>  x11-display = ':0'
>  x11-display-device = ''
>  display-device = ''
>  remote-host-name = ''
>  is-local = TRUE
>  on-since = '2012-04-10T23:18:53.539205Z'
>  login-session-id = '2'
> 
The problem seems to be that the session is not active.
It can be due to https://fedoraproject.org/wiki/Features/ckremoval

I'd say update of systemd and NetworkManager would help.
Comment 4 Fedora End Of Life 2013-07-03 17:59:30 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 19:34:27 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.